    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * ------------------------
    028 * AttributeDefinition.java
    029 * ------------------------
    030 * (C)opyright 2003-2005, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: AttributeDefinition.java,v 1.3 2005/10/18 13:33:53 mungady Exp $
    036 *
    037 * Changes
    038 * -------
    039 * 24.09.2003 : Initial version
    040 *
    041 */
    042
    043package org.jfree.xml.util;
    044
    045import org.jfree.xml.attributehandlers.AttributeHandler;
    046
    047/**
    048 * An attribute definition.
    049 */
    050public class AttributeDefinition {
    051
    052    /** The attribute name. */
    053    private String attributeName;
    054
    055    /** The attribute handler. */
    056    private AttributeHandler handler;
    057
    058    /** The property name. */
    059    private String propertyName;
    060
    061    /**
    062     * Creates a new attribute definition.
    063     *
    064     * @param propertyName  the property name.
    065     * @param attributeName  the attribute name.
    066     * @param handler  the handler.
    067     */
    068    public AttributeDefinition(final String propertyName,
    069                               final String attributeName,
    070                               final AttributeHandler handler) {
    071        this.propertyName = propertyName;
    072        this.attributeName = attributeName;
    073        this.handler = handler;
    074    }
    075
    076    /**
    077     * Returns the property name.
    078     *
    079     * @return the property name.
    080     */
    081    public String getPropertyName() {
    082        return this.propertyName;
    083    }
    084
    085    /**
    086     * Returns the attribute name.
    087     *
    088     * @return the attribute name.
    089     */
    090    public String getAttributeName() {
    091        return this.attributeName;
    092    }
    093
    094    /**
    095     * Returns the handler.
    096     *
    097     * @return the handler.
    098     */
    099    public AttributeHandler getHandler() {
    100        return this.handler;
    101    }
    102
    103}